import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CpOrder } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-13 18:54
 */
interface CpOrderCU extends ConditionUtil<CpOrderCU> {
    ID: FieldUtil<CpOrderCU>;
    USER_ID: FieldUtil<CpOrderCU>;
    ORDER_NO: FieldUtil<CpOrderCU>;
    TRADE_ID: FieldUtil<CpOrderCU>;
    PARK_ORDER_NO: FieldUtil<CpOrderCU>;
    PARK_ID: FieldUtil<CpOrderCU>;
    CAR_PLATE_NUM: FieldUtil<CpOrderCU>;
    CAR_CARD_NO: FieldUtil<CpOrderCU>;
    PARK_DEVICE_CODE: FieldUtil<CpOrderCU>;
    ENTRY_TIME: FieldUtil<CpOrderCU>;
    OUT_TIME: FieldUtil<CpOrderCU>;
    ELAPSED_TIME: FieldUtil<CpOrderCU>;
    PARK_TOTAL_AMOUNT: FieldUtil<CpOrderCU>;
    PARK_PAYABLE_AMOUNT: FieldUtil<CpOrderCU>;
    PARK_DEDUCTION_AMOUNT: FieldUtil<CpOrderCU>;
    TOTAL_AMOUNT: FieldUtil<CpOrderCU>;
    PAYABLE_AMOUNT: FieldUtil<CpOrderCU>;
    DEDUCTION_AMOUNT: FieldUtil<CpOrderCU>;
    PARK_DELAY_TIME: FieldUtil<CpOrderCU>;
    CAR_IMAGE: FieldUtil<CpOrderCU>;
    CURRENCY_CODE: FieldUtil<CpOrderCU>;
    ORDER_TITLE: FieldUtil<CpOrderCU>;
    ORDER_DESC: FieldUtil<CpOrderCU>;
    PAY_STATUS: FieldUtil<CpOrderCU>;
    BIZ_STATUS: FieldUtil<CpOrderCU>;
    EXT_JSON: FieldUtil<CpOrderCU>;
    REMARK: FieldUtil<CpOrderCU>;
    STATE: FieldUtil<CpOrderCU>;
    CREATE_TIME: FieldUtil<CpOrderCU>;
    UPDATE_TIME: FieldUtil<CpOrderCU>;
}
declare class CpOrderMU extends TableUtilImpl<CpOrderCU, CpOrder> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CpOrderCU;
    static get ID(): FieldUtil<CpOrderCU>;
    static get USER_ID(): FieldUtil<CpOrderCU>;
    static get ORDER_NO(): FieldUtil<CpOrderCU>;
    static get TRADE_ID(): FieldUtil<CpOrderCU>;
    static get PARK_ORDER_NO(): FieldUtil<CpOrderCU>;
    static get PARK_ID(): FieldUtil<CpOrderCU>;
    static get CAR_PLATE_NUM(): FieldUtil<CpOrderCU>;
    static get CAR_CARD_NO(): FieldUtil<CpOrderCU>;
    static get PARK_DEVICE_CODE(): FieldUtil<CpOrderCU>;
    static get ENTRY_TIME(): FieldUtil<CpOrderCU>;
    static get OUT_TIME(): FieldUtil<CpOrderCU>;
    static get ELAPSED_TIME(): FieldUtil<CpOrderCU>;
    static get PARK_TOTAL_AMOUNT(): FieldUtil<CpOrderCU>;
    static get PARK_PAYABLE_AMOUNT(): FieldUtil<CpOrderCU>;
    static get PARK_DEDUCTION_AMOUNT(): FieldUtil<CpOrderCU>;
    static get TOTAL_AMOUNT(): FieldUtil<CpOrderCU>;
    static get PAYABLE_AMOUNT(): FieldUtil<CpOrderCU>;
    static get DEDUCTION_AMOUNT(): FieldUtil<CpOrderCU>;
    static get PARK_DELAY_TIME(): FieldUtil<CpOrderCU>;
    static get CAR_IMAGE(): FieldUtil<CpOrderCU>;
    static get CURRENCY_CODE(): FieldUtil<CpOrderCU>;
    static get ORDER_TITLE(): FieldUtil<CpOrderCU>;
    static get ORDER_DESC(): FieldUtil<CpOrderCU>;
    static get PAY_STATUS(): FieldUtil<CpOrderCU>;
    static get BIZ_STATUS(): FieldUtil<CpOrderCU>;
    static get EXT_JSON(): FieldUtil<CpOrderCU>;
    static get REMARK(): FieldUtil<CpOrderCU>;
    static get STATE(): FieldUtil<CpOrderCU>;
    static get CREATE_TIME(): FieldUtil<CpOrderCU>;
    static get UPDATE_TIME(): FieldUtil<CpOrderCU>;
    get ID(): FieldUtil<CpOrderCU>;
    get USER_ID(): FieldUtil<CpOrderCU>;
    get ORDER_NO(): FieldUtil<CpOrderCU>;
    get TRADE_ID(): FieldUtil<CpOrderCU>;
    get PARK_ORDER_NO(): FieldUtil<CpOrderCU>;
    get PARK_ID(): FieldUtil<CpOrderCU>;
    get CAR_PLATE_NUM(): FieldUtil<CpOrderCU>;
    get CAR_CARD_NO(): FieldUtil<CpOrderCU>;
    get PARK_DEVICE_CODE(): FieldUtil<CpOrderCU>;
    get ENTRY_TIME(): FieldUtil<CpOrderCU>;
    get OUT_TIME(): FieldUtil<CpOrderCU>;
    get ELAPSED_TIME(): FieldUtil<CpOrderCU>;
    get PARK_TOTAL_AMOUNT(): FieldUtil<CpOrderCU>;
    get PARK_PAYABLE_AMOUNT(): FieldUtil<CpOrderCU>;
    get PARK_DEDUCTION_AMOUNT(): FieldUtil<CpOrderCU>;
    get TOTAL_AMOUNT(): FieldUtil<CpOrderCU>;
    get PAYABLE_AMOUNT(): FieldUtil<CpOrderCU>;
    get DEDUCTION_AMOUNT(): FieldUtil<CpOrderCU>;
    get PARK_DELAY_TIME(): FieldUtil<CpOrderCU>;
    get CAR_IMAGE(): FieldUtil<CpOrderCU>;
    get CURRENCY_CODE(): FieldUtil<CpOrderCU>;
    get ORDER_TITLE(): FieldUtil<CpOrderCU>;
    get ORDER_DESC(): FieldUtil<CpOrderCU>;
    get PAY_STATUS(): FieldUtil<CpOrderCU>;
    get BIZ_STATUS(): FieldUtil<CpOrderCU>;
    get EXT_JSON(): FieldUtil<CpOrderCU>;
    get REMARK(): FieldUtil<CpOrderCU>;
    get STATE(): FieldUtil<CpOrderCU>;
    get CREATE_TIME(): FieldUtil<CpOrderCU>;
    get UPDATE_TIME(): FieldUtil<CpOrderCU>;
}
export { CpOrderMU, CpOrderCU };
